Loading...
Searching...
No Matches
gvl3.c File Reference

OGSF library - loading volumes (lower level functions). More...

`#include <grass/gis.h>`
`#include <grass/raster.h>`
`#include <grass/raster3d.h>`
`#include <grass/ogsf.h>`
`#include <grass/glocale.h>`
Include dependency graph for gvl3.c:

Go to the source code of this file.

## Functions

int | Gvl_load_colors_data (void **color_data, const char *name)
| Load color table.
int | Gvl_unload_colors_data (void *color_data)
| Unload color table.
int | Gvl_get_color_for_value (void *color_data, float *value)
| Get color for value.

## Detailed Description

OGSF library - loading volumes (lower level functions).

GRASS OpenGL gsurf OGSF Library

(C) 1999-2008 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Tomas Paudits (December 2003)
  Doxygenized by Martin Landa <landa.martin gmail.com> (May 2008)

Definition in file gvl3.c.

## Function Documentation

## Gvl_get_color_for_value()

int Gvl_get_color_for_value | ( | void * | color_data,
|  | float * | value )

Get color for value.

Parameters

  color_data | color data value
  value | data value

Returns
  color value

Definition at line 82 of file gvl3.c.

References b, g, and r.

Referenced by iso_calc_cube(), and slice_calc().

## Gvl_load_colors_data()

int Gvl_load_colors_data | ( | void ** | color_data,
|  | const char * | name )

Load color table.

Parameters

  [out] | color_data | color data buffer
  | name | 3D raster map name

Returns
  -1 on failure
  1 on success

Definition at line 34 of file gvl3.c.

References G_find_raster3d(), G_free(), G_warning(), name, and NULL.

Referenced by gvl_isosurf_set_att_map(), and gvl_slices_calc().

## Gvl_unload_colors_data()

int Gvl_unload_colors_data | ( | void * | color_data | ) |

Unload color table.

Parameters

  color_data | color data buffer

Returns
  -1 on failure
  1 on success

Definition at line 65 of file gvl3.c.

References G_free().

Referenced by gvl_isosurf_set_att_src(), and gvl_slices_calc().